<?php
/* $Id: main.inc.php,v 1.13 2009/06/26 09:49:12 Criss Exp $ */
/*
 Plugin Name: Comment Editor
 Version: 1.0.h
 Description: Allow to edit comment
 Plugin URI: http://piwigo.org/ext/extension_view.php?eid=296
 Author: Criss
 Author URI: http://piwigo.org/
*/

/** History **

  2009-06-26 1.0.h
                    Display edit block on picture page if request comes
                    from this page
                    Add simple administration configuration management
                    Add and remove default configuration from database
                    on plugin install / uninstall

  2009-06-22 1.0.g
                    Deactivate anti-flood on update
                    Adviser can edit only its comments
                    Language file converted in UTF-8
                    Add home link in edit and message block title bar

  2009-06-22 1.0.f
                    Add edit link for author even if he's not an admin
                    Code cleanup

  2009-06-18 1.0.e
                    Check existence of function update_user_comment()

  2009-06-18 1.0.d
                    Improve sanity checking

  2009-06-18 1.0.c
                    Add maintain.inc.php file
                    Fix bug in CE_Comment::validateAuthor()

  2009-06-18 1.0.b
                    Fix plugin URI to be available in plugin update
                    check page.
                    Reduce code line size.

*/
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('CE_VERSION',  '1.0.h');
define('CE_PATH',     PHPWG_PLUGINS_PATH.basename(dirname(__FILE__)).'/');
define('CE_ROOT',     dirname(__FILE__).'/');
include_once(CE_PATH . 'include/ce_common.inc.php');

$ce_config = new CE_Config($ce_config_default);
$ce_plugin = new CE_Plugin($plugin['id'], $ce_config);

add_event_handler('get_admin_plugin_menu_links',
                  array(&$ce_plugin, 'get_admin_plugin_menu_links'));
add_event_handler('render_comment_content',
                  array(&$ce_plugin, 'render_comment_content'));
add_event_handler('loc_begin_page_header',
                  array(&$ce_plugin, 'loc_begin_page_header'));
switch (script_basename()) {
  case 'index':
    add_event_handler('loc_begin_index',
                      array(&$ce_plugin, 'loc_begin_index'), 1);
    break;
  case 'picture':
    add_event_handler('loc_begin_picture',
                      array(&$ce_plugin, 'loc_begin_picture'), 1);
    break;
  default:
}
set_plugin_data($plugin['id'], $ce_plugin);

?>